## org.eclipse.datatools.sqltools.sqleditor.internal.sql
Class SQLWordStrategy

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.sql.SQLWordStrategy

All Implemented Interfaces:
  org.eclipse.jface.text.formatter.IFormattingStrategy

    public class SQLWordStrategy

extends java.lang.Object
implements org.eclipse.jface.text.formatter.IFormattingStrategy

The formatting strategy that transforms SQL keywords to upper case

Constructor Summary
`SQLWordStrategy(ISQLSyntax syntax)` According to profileName to determine which the database syntax keywords highlighted.

Method Summary
`java.lang.String` `format(java.lang.String content, boolean isLineStart, java.lang.String indentation, int[] positions)`
`void` `formatterStarts(java.lang.String initialIndentation)`
`void` `formatterStops()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLWordStrategy

    public SQLWordStrategy(ISQLSyntax syntax)

  According to profileName to determine which the database syntax keywords highlighted.

  Parameters:
    `_profileName` -

Method Detail

### formatterStarts

    public void formatterStarts(java.lang.String initialIndentation)

  Specified by:
    `formatterStarts` in interface `org.eclipse.jface.text.formatter.IFormattingStrategy`
  See Also:
    `IFormattingStrategy.formatterStarts(String)`

### format

    public java.lang.String format(java.lang.String content,
                                   boolean isLineStart,
                                   java.lang.String indentation,
                                   int[] positions)

  Specified by:
    `format` in interface `org.eclipse.jface.text.formatter.IFormattingStrategy`
  See Also:
    `IFormattingStrategy.format(String, boolean, String, int[])`

### formatterStops

    public void formatterStops()

  Specified by:
    `formatterStops` in interface `org.eclipse.jface.text.formatter.IFormattingStrategy`
  See Also:
    `IFormattingStrategy.formatterStops()`